
### dataHook
- type: string
- description: Applies a data-hook HTML attribute that can be used in tests.
### className
- type: string
- description: Specifies a CSS class name to be appended to the component’s root element.
- internal
### size
- type: "tiny" | "small" | "medium" | "large"
- description: Controls the size of the star rating bar. Interactive mode can be `large` or `medium`. The default value for the read only mode is `medium`.
### readOnly
- type: boolean
- description: Specifies whether the rating bar is in read-only mode.
### labelValues
- type: string[]
- description: Specifies the rate input value labels.
### descriptionValues
- type: string[]
- description: Specifies the rate caption value labels. Array must contain all 5 strings to display the rating labels.
### value
- type: 0 | 1 | 2 | 3 | 4 | 5
- description: Specifies the selected rate. 0 indicates an undefined rating.
### onChange
- type: (rating: number) => void
- description: Defines a handler that is called whenever rating changes.
##### Signature:
function(rating: number) => void
* * `rating`: 1 | 2 | 3 | 4 | 5
### name
- type: string
- description: Specifies radio group name.
### ref
- type: null | string | (instance: HTMLInputElement | null) => void | RefObject<HTMLInputElement>
- description: Allows getting a ref to the component instance.
Once the component unmounts, React will set `ref.current` to `null`
(or call the ref with `null` if you passed a callback ref).

